POST /v1/payments/{id}/cancel - WalletConnect Pay Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \
--url https://api.pay.walletconnect.com/v1/payments/{id}/cancel \
--header 'Api-Key: <api-key>' \
--header 'Merchant-Id: <merchant-id>'
import requests
url = "https://api.pay.walletconnect.com/v1/payments/{id}/cancel"
headers = {
"Api-Key": "<api-key>",
"Merchant-Id": "<merchant-id>"
}
response = requests.post(url, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'Api-Key': '<api-key>', 'Merchant-Id': '<merchant-id>'}
};
fetch('https://api.pay.walletconnect.com/v1/payments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 400
- 401
- 404
- 500
Example Response
{
"cancelledAt": "2025-01-14T10:30:00Z",
"cancelledReason": "cancelled_by_merchant",
"paymentId": "pay_71a2ecc101KQFN7X7RM3Z9GB4ZGNM17TRB",
"status": "cancelled"
}
{
"message": "<string>"
}
Authorizations
API Key: ApiKey
| Parameter | Type | Location | Required |
|---|---|---|---|
| Api-Key | string | header | required |
| Merchant-Id | string | header | required |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| id | string | required | Payment ID |
Success Response
200
- cancelledAt: string
- cancelledReason: string
- paymentId: string
- status: enum
(Payment lifecycle status)
Options:requires_action,processing,succeeded,failed,expired,cancelled